%define name    ec 
%define version 4.1.8.1
%define release fc8.0 
Name:           %{name} 
Summary: 	A program to play chess
Version:        %{version} 
Release:        %{release} 
Source0:        %{name}-%{version}.tar.gz 
Group:          Game 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires: desktop-file-utils  
License:        GPL 

%description
Chess engine.
You can play with a console type interface.

%prep 
%setup -q -a 0 

%build 
%configure 
make

%install
rm -rf %{buildroot}%makeinstall
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A program to play chess
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=true
Type=Application
Categories=ConsoleOnly;Game;
StartupNotify=false
EOF
desktop-file-install --vendor="" \
    --dir=%{buildroot}%{_datadir}/applications/ \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}{%_liconsdir,%_miconsdir}
cp icon/ec_22x22.png %{buildroot}%_iconsdir/%name.png
cp icon/ec_16x16.png %{buildroot}%_miconsdir/%name.png
cp icon/ec_32x32.png %{buildroot}%_liconsdir/%name.png

%find_lang %{name}

%clean 
rm -rf %{buildroot} 

%files -f %{name}.lang
%defattr(0755,root,root) 
%doc NEWS README COPYING ChangeLog readme.txt lesenSie.txt lisezmoi.txt
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%_datadir/applications/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%post 
#update-desktop-database &> /dev/null || :
update-desktop-database
  
  
%postun 
#doesn't work on FC8
#clean-desktop-database
            

%changelog 
* Thu Mar 5 2009 Marc Dechico
- Created the rpmspec for mdv
